AIX Open Source

power-server-operatingsystems.png

Operating Systems

The core of your mission-critical workloads: AIX, IBM i, and Enterprise Linux

power-ISV-Solutions1.png

ISV Solutions

Stay up to date with key capabilities running on POWER such as SAP

Business Continuity

Learn how to keep critical processes running and adapt quickly with PowerHA

power-infrastructure-security.png

Power Security

Protect your most sensitive data anywhere in your hybrid cloud

Virtualization

Check here for virtualization and management needs: HMC & CMC, PowerVC, and PowerVM

Open Source

Join our open source efforts within the IBM Power Systems portfolio

Enterprise Infrastructure as a Service

Achieve business growth with agility and flexibility with our enterprise IaaS in Power Virtual Server

Programming Languages

The hub for Programming Languages

Expand all | Collapse all

"dnf" for AIX Toolbox

  • 1.  "dnf" for AIX Toolbox

    Posted 10 days ago
    Dear AIX Toolbox Users,

    We have published dnf package manager for AIX toolbox. 
    yum is python2 based and python2 is out of support from community.
    dnf is a python3 based package manager which is compatible with yum.
    Going forward dnf will be the primary package manager for AIX toolbox and slowly yum will be deprecated.
    Also it is possible for future releases of AIX we will not support yum. 
    I request to install dnf on your system and provide your feedback.
    There is no change in the repositories side same yum repositories works for dnf.

    Here is the detailed information about dnf on AIX toolbox.
    https://community.ibm.com/community/user/power/blogs/sangamesh-mallayya1/2021/05/28/dnf-is-now-available-on-aix-toolbox?CommunityKey=10c1d831-47ee-4d92-a138-b03f7896f7c9&tab=recentcommunityblogsdashboard

    ------------------------------
    SANKET RATHI
    ------------------------------


  • 2.  RE: "dnf" for AIX Toolbox

    Posted 10 days ago
    Edited by SANKET RATHI 10 days ago
    If you are setting up a new AIX system with yum I suggest to try with dnf instead of yum. 

    ------------------------------
    SANKET RATHI
    ------------------------------



  • 3.  RE: "dnf" for AIX Toolbox

    Posted 6 days ago
    ​Hi Sanket

    Installed DNF on Power9 running AIX 7200-05-01-2038 that already had yum installed and updated without any issues but it did take a long time to complete.

    The rpm.rte took 45 minutes to install to complete the rest took a couple of hours to run. The long run time may be the conversion of the yum database.

    I suggest anyone installing DNF on a system be patient and let the process run and not be concerned when it does not complete in just a few minutes.

    I needed to modify the install script to use curl to download the files instead if FTP to make it work in my environment.

    Thank you everyone for all the work that went in to making dnf work for AIX.

    Here is the output of the install.


    Installation Summary
    --------------------
    Name                        Level           Part        Event       Result
    -------------------------------------------------------------------------------
    rpm.rte                     4.15.1.3        USR         APPLY       SUCCESS
    rpm.rte                     4.15.1.3        ROOT        APPLY       SUCCESS

    Extracting dnf_bundle.tar ...
    x ca-certificates-2020.06.01-0.aix7.1.ppc.rpm, 952182 bytes, 1860 tape blocks
    x dnf-4.2.17-1.aix7.1.noarch.rpm, 11139 bytes, 22 tape blocks
    x dnf-automatic-4.2.17-1.aix7.1.noarch.rpm, 12442 bytes, 25 tape blocks
    x dnf-data-4.2.17-1.aix7.1.noarch.rpm, 23534 bytes, 46 tape blocks
    x extra_list, 212 bytes, 1 tape blocks
    x libcomps-0.1.11-1.aix7.1.ppc.rpm, 1272902 bytes, 2487 tape blocks
    x libdnf-0.39.1-1.aix7.1.ppc.rpm, 15809465 bytes, 30878 tape blocks
    x libmodulemd-1.5.2-1.aix7.1.ppc.rpm, 3419469 bytes, 6679 tape blocks
    x librepo-1.11.0-1.aix7.1.ppc.rpm, 3649914 bytes, 7129 tape blocks
    x libsmartcols-2.34-1.aix7.1.ppc.rpm, 182903 bytes, 358 tape blocks
    x libsolv-0.7.9-1.aix7.1.ppc.rpm, 1532976 bytes, 2995 tape blocks
    x libzstd-1.4.4-1.aix7.1.ppc.rpm, 468764 bytes, 916 tape blocks
    x p11-kit-0.23.16-0.aix7.1.ppc.rpm, 1047702 bytes, 2047 tape blocks
    x p11-kit-tools-0.23.16-0.aix7.1.ppc.rpm, 39777 bytes, 78 tape blocks
    x python3-3.7.9-0.aix7.1.ppc.rpm, 43168080 bytes, 84313 tape blocks
    x python3-dateutil-2.8.0-1.aix6.1.noarch.rpm, 363137 bytes, 710 tape blocks
    x python3-devel-3.7.9-0.aix7.1.ppc.rpm, 237244 bytes, 464 tape blocks
    x python3-dnf-4.2.17-1.aix7.1.noarch.rpm, 197325 bytes, 386 tape blocks
    x python3-dnf-plugin-migrate-4.0.16-1.aix7.1.noarch.rpm, 7965 bytes, 16 tape blocks
    x python3-dnf-plugins-core-4.0.16-1.aix7.1.noarch.rpm, 49196 bytes, 97 tape blocks
    x python3-docs-3.7.9-0.aix7.1.ppc.rpm, 2993180 bytes, 5847 tape blocks
    x python3-gpgme-1.13.1-1.aix7.1.ppc.rpm, 681811 bytes, 1332 tape blocks
    x python3-hawkey-0.39.1-1.aix7.1.ppc.rpm, 3113206 bytes, 6081 tape blocks
    x python3-libcomps-0.1.11-1.aix7.1.ppc.rpm, 1020454 bytes, 1994 tape blocks
    x python3-libdnf-0.39.1-1.aix7.1.ppc.rpm, 22549270 bytes, 44042 tape blocks
    x python3-librepo-1.11.0-1.aix7.1.ppc.rpm, 2292512 bytes, 4478 tape blocks
    x python3-six-1.13.0-1.aix6.1.noarch.rpm, 514483 bytes, 1005 tape blocks
    x python3-test-3.7.9-0.aix7.1.ppc.rpm, 28383122 bytes, 55436 tape blocks
    x python3-tools-3.7.9-0.aix7.1.ppc.rpm, 12734 bytes, 25 tape blocks
    x rpm-python3-4.15.1-1_py3.aix7.1.ppc.rpm, 99260 bytes, 194 tape blocks
    x yum-4.2.17-1.aix7.1.noarch.rpm, 8749 bytes, 18 tape blocks
    x zchunk-1.1.4-1.aix7.1.ppc.rpm, 551935 bytes, 1078 tape blocks
    x zchunk-devel-1.1.4-1.aix7.1.ppc.rpm, 19026 bytes, 38 tape blocks
    x zchunk-libs-1.1.4-1.aix7.1.ppc.rpm, 533888 bytes, 1043 tape blocks


    Checking whether any of the rpms from dnf_bundle are already installed...
    Takes couple of minutes to process.

    Skipping ca-certificates-2020.06.01-0 as higher version ca-certificates-2020.06.01-1.ppc is installed.
    dnf-4.2.17-1 will be installed
    dnf-automatic-4.2.17-1 will be installed
    dnf-data-4.2.17-1 will be installed
    libcomps-0.1.11-1 will be installed
    libdnf-0.39.1-1 will be installed
    libmodulemd-1.5.2-1 will be installed
    librepo-1.11.0-1 will be installed
    libsmartcols-2.34-1 will be installed
    libsolv-0.7.9-1 will be installed
    libzstd-1.4.4-1 will be installed
    Skipping p11-kit-0.23.16-0 as higher version p11-kit-0.23.16-2.ppc is installed.
    Skipping p11-kit-tools-0.23.16-0 as higher version p11-kit-tools-0.23.16-2.ppc is installed.
    Skipping python3-3.7.9-0 as higher version python3-3.7.9-1.ppc is installed.
    python3-dateutil-2.8.0-1 will be installed
    Skipping python3-devel-3.7.9-0 as higher version python3-devel-3.7.9-1.ppc is installed.
    python3-dnf-4.2.17-1 will be installed
    python3-dnf-plugin-migrate-4.0.16-1 will be installed
    python3-dnf-plugins-core-4.0.16-1 will be installed
    python3-gpgme-1.13.1-1 will be installed
    python3-hawkey-0.39.1-1 will be installed
    python3-libcomps-0.1.11-1 will be installed
    python3-libdnf-0.39.1-1 will be installed
    python3-librepo-1.11.0-1 will be installed
    python3-six-1.13.0-1 is already installed
    rpm-python3-4.15.1-1_py3 will be installed
    yum-3.4.3-8.noarch will be updated to yum-4.2.17-1
    zchunk-libs-1.1.4-1 will be installed

    Installing the packages...

    Verifying...                          ################################# [100%]
    Preparing...                          ################################# [100%]
    Updating / installing...
       1:libzstd-1.4.4-1                  ################################# [  4%]
       2:libmodulemd-1.5.2-1              ################################# [  9%]
       3:libsolv-0.7.9-1                  ################################# [ 13%]
       4:libsmartcols-2.34-1              ################################# [ 17%]
       5:zchunk-libs-1.1.4-1              ################################# [ 22%]
       6:librepo-1.11.0-1                 ################################# [ 26%]

       7:rpm-python3-4.15.1-1_py3         ################################# [ 30%]
       8:libdnf-0.39.1-1                  ################################# [ 35%]
       9:python3-libdnf-0.39.1-1          ################################# [ 39%]
      10:python3-hawkey-0.39.1-1          ################################# [ 43%]
      11:dnf-data-4.2.17-1                ################################# [ 48%]
      12:python3-gpgme-1.13.1-1           ################################# [ 52%]
      13:python3-dateutil-2.8.0-1         ################################# [ 57%]
      14:libcomps-0.1.11-1                ################################# [ 61%]
      15:python3-libcomps-0.1.11-1        ################################# [ 65%]
      16:python3-dnf-4.2.17-1             ################################# [ 70%]
      17:dnf-4.2.17-1                     ################################# [ 74%]
      18:python3-dnf-plugins-core-4.0.16-1################################# [ 78%]
      19:python3-dnf-plugin-migrate-4.0.16################################# [ 83%]
      20:dnf-automatic-4.2.17-1           ################################# [ 87%]

    This version of yum4 is a soft link to dnf and all the yum commands are dnf commands.
    Repositories present in yum.conf is being used for dnf.


    Trying to create pkg_yumdb database required for migrate plugin
    Successfully created pkg_yumdb database
      21:yum-4.2.17-1                     ################################# [ 91%]
      22:python3-librepo-1.11.0-1         ################################# [ 96%]
    Cleaning up / removing...
      23:yum-3.4.3-8                      warning: /opt/freeware/etc/yum/yum.conf saved as /opt/freeware/etc/yum/yum.conf.rpmsave
    ################################# [100%]

    dnf installed successfully.
    Please run 'dnf update' to update packages to the latest level.

    Trying to run 'dnf migrate' to migrate yum database to dnf.
    AIX generic repository                                                                                                                   560 kB/s | 6.7 MB     00:12
    AIX noarch repository                                                                                                                    366 kB/s | 1.0 MB     00:02
    AIX 7.2 specific repository                                                                                                              347 kB/s | 983 kB     00:02
    Last metadata expiration check: 0:00:02 ago on Mon Jun  7 19:55:15 CDT 2021.


    Stan Speegle
    Senior Unix Admin Lead

    ------------------------------
    Stanley
    ------------------------------



  • 4.  RE: "dnf" for AIX Toolbox

    Posted 5 days ago
    Hi Stanley,

    Thanks for the feedback and trying DNF.
    DNF download and install shouldn't take this long time.
    Long delay was in downloading the dnf bundle or it's actually the installation of DNF which took more time ?

    ------------------------------
    SANGAMESH
    ------------------------------



  • 5.  RE: "dnf" for AIX Toolbox

    Posted 5 days ago
    The download time was not long but the rpm.rte install looked to be waiting for a file lock to clear. The system has AWX running on it which uses python3. It may have been waiting for processes to complete before updating.

    A second install had issues after the dnf install with the dnf update. During the dnf update immediately following the dnf install caused a segmentation fault.

    Rerunning the dnf update again showed "Nothing to do."

    /opt/freeware/bin/dnf update
    Last metadata expiration check: 0:03:36 ago on Wed Jun  9 09:22:43 CDT 2021.
    Dependencies resolved.
    =========================================================================================================================================================================
     Package                                     Architecture                    Version                                    Repository                                  Size
    =========================================================================================================================================================================
    Upgrading:
     bash                                        ppc                             5.1.4-1                                    AIX_Toolbox                                2.8 M
     ca-certificates                             ppc                             2020.06.01-2                               AIX_Toolbox                                925 k
     curl                                        ppc                             7.76.1-1                                   AIX_Toolbox                                1.6 M
     glib2                                       ppc                             2.56.1-3                                   AIX_Toolbox                                 16 M
     openldap                                    ppc                             2.4.56-2                                   AIX_Toolbox                                4.3 M
     p11-kit                                     ppc                             0.23.16-2                                  AIX_Toolbox                                4.3 M
     p11-kit-tools                               ppc                             0.23.16-2                                  AIX_Toolbox                                199 k
     python                                      ppc                             2.7.18-2                                   AIX_Toolbox                                 22 M
     python-devel                                ppc                             2.7.18-2                                   AIX_Toolbox                                 16 k
     python-tools                                ppc                             2.7.18-2                                   AIX_Toolbox                                 17 k
     python3-pyyaml                              ppc                             5.4.1.1-1                                  AIX_Toolbox                                256 k
     python3                                     ppc                             3.7.10-1                                   AIX_Toolbox                                 39 M
     readline                                    ppc                             8.1-1                                      AIX_Toolbox                                2.5 M
     sqlite                                      ppc                             3.35.5-1                                   AIX_Toolbox                                8.7 M
     wget                                        ppc                             1.21.1-1                                   AIX_Toolbox                                703 k
     gcc8                                        ppc                             8.3.0-5                                    AIX_Toolbox_72                              29 M
     gcc8-cpp                                    ppc                             8.3.0-5                                    AIX_Toolbox_72                              10 M
     libgcc8                                     ppc                             8.3.0-5                                    AIX_Toolbox_72                             974 k
     libgomp8                                    ppc                             8.3.0-5                                    AIX_Toolbox_72                             1.4 M
     libstdc++8                                  ppc                             8.3.0-5                                    AIX_Toolbox_72                              12 M
    Installing dependencies:
     libtasn1                                    ppc                             4.16.0-1                                   AIX_Toolbox                                200 k

    Transaction Summary
    =========================================================================================================================================================================
    Install   1 Package
    Upgrade  20 Packages

    Total download size: 157 M
    Is this ok [y/N]: y
    Downloading Packages:
    (1/21): libtasn1-4.16.0-1.aix6.1.ppc.rpm                                                                                                 194 kB/s | 200 kB     00:01
    (2/21): ca-certificates-2020.06.01-2.aix6.1.ppc.rpm                                                                                      390 kB/s | 925 kB     00:02
    (3/21): curl-7.76.1-1.aix6.1.ppc.rpm                                                                                                     552 kB/s | 1.6 MB     00:02
    (4/21): bash-5.1.4-1.aix6.1.ppc.rpm                                                                                                      488 kB/s | 2.8 MB     00:05
    (5/21): openldap-2.4.56-2.aix6.1.ppc.rpm                                                                                                 552 kB/s | 4.3 MB     00:08
    (6/21): p11-kit-tools-0.23.16-2.aix6.1.ppc.rpm                                                                                           440 kB/s | 199 kB     00:00
    (7/21): p11-kit-0.23.16-2.aix6.1.ppc.rpm                                                                                                 551 kB/s | 4.3 MB     00:08
    (8/21): python-devel-2.7.18-2.aix6.1.ppc.rpm                                                                                             130 kB/s |  16 kB     00:00
    (9/21): python-tools-2.7.18-2.aix6.1.ppc.rpm                                                                                             144 kB/s |  17 kB     00:00
    (10/21): python3-pyyaml-5.4.1.1-1.aix6.1.ppc.rpm                                                                                         452 kB/s | 256 kB     00:00
    (11/21): glib2-2.56.1-3.aix6.1.ppc.rpm                                                                                                   521 kB/s |  16 MB     00:30
    (12/21): readline-8.1-1.aix6.1.ppc.rpm                                                                                                   542 kB/s | 2.5 MB     00:04
    (13/21): sqlite-3.35.5-1.aix6.1.ppc.rpm                                                                                                  529 kB/s | 8.7 MB     00:16
    (14/21): python-2.7.18-2.aix6.1.ppc.rpm                                                                                                  513 kB/s |  22 MB     00:43
    (15/21): wget-1.21.1-1.aix6.1.ppc.rpm                                                                                                    375 kB/s | 703 kB     00:01
    (16/21): gcc8-cpp-8.3.0-5.aix7.2.ppc.rpm                                                                                                 550 kB/s |  10 MB     00:19
    (17/21): libgcc8-8.3.0-5.aix7.2.ppc.rpm                                                                                                  543 kB/s | 974 kB     00:01
    (18/21): libgomp8-8.3.0-5.aix7.2.ppc.rpm                                                                                                 539 kB/s | 1.4 MB     00:02
    (19/21): python3-3.7.10-1.aix6.1.ppc.rpm                                                                                                 535 kB/s |  39 MB     01:14
    (20/21): libstdcplusplus8-8.3.0-5.aix7.2.ppc.rpm                                                                                         551 kB/s |  12 MB     00:22
    (21/21): gcc8-8.3.0-5.aix7.2.ppc.rpm                                                                                                     547 kB/s |  29 MB     00:54
    -------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    Total                                                                                                                                    1.4 MB/s | 157 MB     01:50
    Running transaction check
    Transaction check succeeded.
    Running transaction test
    Transaction test succeeded.
    Running transaction
      Preparing        :                                                                                                                                                 1/1
      Upgrading        : libgcc8-8.3.0-5.ppc                                                                                                                            1/41
      Upgrading        : readline-8.1-1.ppc                                                                                                                             2/41
      Running scriptlet: readline-8.1-1.ppc                                                                                                                             2/41
      Upgrading        : sqlite-3.35.5-1.ppc                                                                                                                            3/41
      Installing       : libtasn1-4.16.0-1.ppc                                                                                                                          4/41
      Upgrading        : p11-kit-0.23.16-2.ppc                                                                                                                          5/41
      Upgrading        : p11-kit-tools-0.23.16-2.ppc                                                                                                                    6/41
      Upgrading        : ca-certificates-2020.06.01-2.ppc                                                                                                               7/41
      Running scriptlet: ca-certificates-2020.06.01-2.ppc                                                                                                               7/41
    p11-kit: 'stolen != NULL' not true at managed_steal_sessions_inlock
    p11-kit: 'stolen != NULL' not true at managed_steal_sessions_inlock
    p11-kit: 'stolen != NULL' not true at managed_steal_sessions_inlock
    p11-kit: 'stolen != NULL' not true at managed_steal_sessions_inlock
    p11-kit: 'stolen != NULL' not true at managed_steal_sessions_inlock

      Running scriptlet: openldap-2.4.56-2.ppc                                                                                                                          8/41
      Upgrading        : openldap-2.4.56-2.ppc                                                                                                                          8/41
      Running scriptlet: openldap-2.4.56-2.ppc                                                                                                                          8/41
      Upgrading        : gcc8-cpp-8.3.0-5.ppc                                                                                                                           9/41
      Running scriptlet: gcc8-cpp-8.3.0-5.ppc                                                                                                                           9/41
      Upgrading        : gcc8-8.3.0-5.ppc                                                                                                                              10/41
      Running scriptlet: gcc8-8.3.0-5.ppc                                                                                                                              10/41
    Fixing headers into /tmp/gcc-fixincl15401244 for powerpc-ibm-aix7.2.4.0 target
    Forbidden identifiers: bool pixel vector
    Finding directories and links to directories
     Searching /usr/include/.
     Searching /usr/include/./X11
     Searching /usr/include/./python2.7
    Making symbolic directory links
    Fixing directory /usr/include into /tmp/gcc-fixincl15401244
    Applying aix_assert               to assert.h
    Applying strict_ansi_only         to assert.h
    Fixed:  assert.h
    Applying aix_complex              to complex.h
    Fixed:  complex.h
    Applying aix_externc              to ctype.h
    Applying avoid_wchar_t_type       to ctype.h
    Fixed:  ctype.h
    Applying aix_null                 to curses.h
    Fixed:  curses.h
    Applying aix_null                 to dbm.h
    Fixed:  dbm.h
    Applying AAB_aix_fcntl            to fcntl.h
    Fixed:  fcntl.h
    Applying io_quotes_def            to isode/pepsy.h
    Applying machine_name             to libmilter/mfapi.h
    Fixed:  libmilter/mfapi.h
    Quoted includes in libmilter/mfapi.h
    Applying aix_null                 to locale.h
    Fixed:  locale.h
    Applying sun_malloc               to malloc.h
    Applying hpux8_bogus_inlines      to math.h
    Applying math_exception           to math.h
    Applying rs6000_double            to math.h
    Fixed:  math.h
    Applying io_quotes_use            to net/bpf.h
    Fixed:  net/bpf.h
    Applying aix_net_if_arp           to net/if_arp.h
    Fixed:  net/if_arp.h
    Applying io_quotes_use            to netinet/if_802_5.h
    Fixed:  netinet/if_802_5.h
    Applying io_quotes_def            to netinet/in.h
    Applying ip_missing_semi          to netinet/ip.h
    Applying io_quotes_def            to netinet/ip6_opts.h
    Applying svr4_undeclared_getrnge  to regexp.h
    Applying strict_ansi_only         to setjmp.h
    Fixed:  setjmp.h
    Applying gnu_types                to stddef.h
    Fixed:  stddef.h
    Applying aix_stdint_1             to stdint.h
    Applying aix_stdint_2             to stdint.h
    Applying aix_stdint_3             to stdint.h
    Applying aix_stdint_4             to stdint.h
    Fixed:  stdint.h
    Applying AAB_aix_stdio            to stdio.h
    Applying aix_null                 to stdio.h
    Applying aix_stdio_inline         to stdio.h
    Applying stdio_stdarg_h           to stdio.h
    Applying stdio_va_list            to stdio.h
    Fixed:  stdio.h
    Applying aix_null                 to stdlib.h
    Applying aix_stdlib_malloc        to stdlib.h
    Applying aix_stdlib_realloc       to stdlib.h
    Applying aix_stdlib_calloc        to stdlib.h
    Applying aix_stdlib_valloc        to stdlib.h
    Applying aix_stdlib_vec_malloc    to stdlib.h
    Applying aix_stdlib_vec_calloc    to stdlib.h
    Applying gnu_types                to stdlib.h
    Fixed:  stdlib.h
    Applying aix_null                 to string.h
    Applying sysv68_string            to string.h
    Fixed:  string.h
    Applying io_quotes_def            to sys/aio.h
    Applying aix_null                 to sys/dir.h
    Fixed:  sys/dir.h
    Quoted includes in sys/dir.h
    Applying io_quotes_def            to sys/dlpi_aix.h
    Applying io_quotes_use            to sys/dlpi_aix.h
    Applying io_quotes_def            to sys/fs/kdm_dmi.h
    Applying io_quotes_def            to sys/ioctl.h
    Applying io_quotes_use            to sys/mtio.h
    Applying aix_null                 to sys/param.h
    Fixed:  sys/param.h
    Quoted includes in sys/param.h
    Applying io_quotes_use            to sys/ras.h
    Applying aix_volatile             to sys/signal.h
    Fixed:  sys/signal.h
    Applying aix_externcpp1           to sys/socket.h
    Applying aix_externcpp2           to sys/socket.h
    Fixed:  sys/socket.h
    Applying io_quotes_def            to sys/stropts.h
    Applying aix_null                 to sys/types.h
    Applying gnu_types                to sys/types.h
    Fixed:  sys/types.h
    Applying next_wait_union          to sys/wait.h
    Fixed:  sys/wait.h
    Applying aix_null                 to time.h
    Fixed:  time.h
    Applying aix_null                 to unistd.h
    Fixed:  unistd.h
    Applying io_quotes_def            to usersec.h
    Applying aix_null                 to wchar.h
    Applying stdio_va_list_clients    to wchar.h
    Fixed:  wchar.h
    Fixing directory /usr/include/X11 into /tmp/gcc-fixincl15401244/root/usr/lpp/X11/include/X11
    Applying io_quotes_def            to X11/Xmu/Atoms.h
    Fixing directory /usr/include/python2.7 into /tmp/gcc-fixincl15401244/root/opt/freeware/include/python2.7
    Cleaning up unneeded directories:
    fixincludes is done

      Upgrading        : libstdc++8-8.3.0-5.ppc                                                                                                                        11/41
      Upgrading        : python-2.7.18-2.ppc                                                                                                                           12/41
      Upgrading        : python-devel-2.7.18-2.ppc                                                                                                                     13/41
      Upgrading        : python-tools-2.7.18-2.ppc                                                                                                                     14/41
      Upgrading        : curl-7.76.1-1.ppc                                                                                                                             15/41
      Upgrading        : python3-3.7.10-1.ppc                                                                                                                          16/41
      Upgrading        : glib2-2.56.1-3.ppc                                                                                                                            17/41
      Upgrading        : libgomp8-8.3.0-5.ppc                                                                                                                          18/41
      Running scriptlet: libgomp8-8.3.0-5.ppc                                                                                                                          18/41
      Upgrading        : wget-1.21.1-1.ppc                                                                                                                             19/41
      Running scriptlet: wget-1.21.1-1.ppc                                                                                                                             19/41
    From wget-1.21.1 onwards, symbolic link of wget in /usr/bin is removed.
    The binary is shipped in /opt/freeware/bin. Please use absolute path or
    add /opt/freeware/bin in PATH environment variable to use the binary.

      Upgrading        : python3-pyyaml-5.4.1.1-1.ppc                                                                                                                  20/41
      Upgrading        : bash-5.1.4-1.ppc                                                                                                                              21/41
      Running scriptlet: bash-5.1.4-1.ppc                                                                                                                              21/41

            ## Binary "bash" is available in 32bit and 64bit ##

            Default is 64bit. For 32bit, use /opt/freeware/bin/bash_32


      Running scriptlet: python3-3.7.9-1.ppc                                                                                                                           22/41
      Cleanup          : python3-3.7.9-1.ppc                                                                                                                           22/41
      Cleanup          : curl-7.74.0-1.ppc                                                                                                                             23/41
      Running scriptlet: libgomp8-8.3.0-4.ppc                                                                                                                          24/41
      Cleanup          : libgomp8-8.3.0-4.ppc                                                                                                                          24/41
      Running scriptlet: gcc8-8.3.0-4.ppc                                                                                                                              25/41
    Warnings dealing with include-fixed directory can be ignored.

      Cleanup          : gcc8-8.3.0-4.ppc                                                                                                                              25/41
      Running scriptlet: gcc8-8.3.0-4.ppc                                                                                                                              25/41
      Cleanup          : python-tools-2.7.18-1.ppc                                                                                                                     26/41
      Cleanup          : ca-certificates-2020.06.01-1.ppc                                                                                                              27/41
      Running scriptlet: ca-certificates-2020.06.01-1.ppc                                                                                                              27/41
      Cleanup          : p11-kit-tools-0.23.16-1.ppc                                                                                                                   28/41
      Cleanup          : p11-kit-0.23.16-1.ppc                                                                                                                         29/41
      Running scriptlet: openldap-2.4.56-1.ppc                                                                                                                         30/41
      Cleanup          : openldap-2.4.56-1.ppc                                                                                                                         30/41
      Cleanup          : python-devel-2.7.18-1.ppc                                                                                                                     31/41
      Cleanup          : python-2.7.18-1.ppc                                                                                                                           32/41
      Cleanup          : sqlite-3.32.3-1.ppc                                                                                                                           33/41
      Cleanup          : libstdc++8-8.3.0-4.ppc                                                                                                                        34/41
      Cleanup          : glib2-2.56.1-2.ppc                                                                                                                            35/41
      Cleanup          : libgcc8-8.3.0-4.ppc                                                                                                                           36/41
      Running scriptlet: readline-8.0-2.ppc                                                                                                                            37/41
      Cleanup          : readline-8.0-2.ppc                                                                                                                            37/41
      Running scriptlet: gcc8-cpp-8.3.0-4.ppc                                                                                                                          38/41
      Cleanup          : gcc8-cpp-8.3.0-4.ppc                                                                                                                          38/41
      Running scriptlet: wget-1.20.3-1.ppc                                                                                                                             39/41
      Cleanup          : wget-1.20.3-1.ppc                                                                                                                             39/41
      Cleanup          : python3-pyyaml-5.3.1-1.ppc                                                                                                                    40/41
      Cleanup          : bash-5.0.18-1.ppc                                                                                                                             41/41
      Running scriptlet: bash-5.0.18-1.ppc                                                                                                                             41/41
      Running scriptlet: readline-8.1-1.ppc                                                                                                                            41/41
      Verifying        : libtasn1-4.16.0-1.ppc                                                                                                                          1/41
      Verifying        : bash-5.1.4-1.ppc                                                                                                                               2/41
      Verifying        : bash-5.0.18-1.ppc                                                                                                                              3/41
      Verifying        : ca-certificates-2020.06.01-2.ppc                                                                                                               4/41
      Verifying        : ca-certificates-2020.06.01-1.ppc                                                                                                               5/41
      Verifying        : curl-7.76.1-1.ppc                                                                                                                              6/41
      Verifying        : curl-7.74.0-1.ppc                                                                                                                              7/41
      Verifying        : glib2-2.56.1-3.ppc                                                                                                                             8/41
      Verifying        : glib2-2.56.1-2.ppc                                                                                                                             9/41
      Verifying        : openldap-2.4.56-2.ppc                                                                                                                         10/41
      Verifying        : openldap-2.4.56-1.ppc                                                                                                                         11/41
      Verifying        : p11-kit-0.23.16-2.ppc                                                                                                                         12/41
      Verifying        : p11-kit-0.23.16-1.ppc                                                                                                                         13/41
      Verifying        : p11-kit-tools-0.23.16-2.ppc                                                                                                                   14/41
      Verifying        : p11-kit-tools-0.23.16-1.ppc                                                                                                                   15/41
      Verifying        : python-2.7.18-2.ppc                                                                                                                           16/41
      Verifying        : python-2.7.18-1.ppc                                                                                                                           17/41
      Verifying        : python-devel-2.7.18-2.ppc                                                                                                                     18/41
      Verifying        : python-devel-2.7.18-1.ppc                                                                                                                     19/41
      Verifying        : python-tools-2.7.18-2.ppc                                                                                                                     20/41
      Verifying        : python-tools-2.7.18-1.ppc                                                                                                                     21/41
      Verifying        : python3-pyyaml-5.4.1.1-1.ppc                                                                                                                  22/41
      Verifying        : python3-pyyaml-5.3.1-1.ppc                                                                                                                    23/41
      Verifying        : python3-3.7.10-1.ppc                                                                                                                          24/41
      Verifying        : python3-3.7.9-1.ppc                                                                                                                           25/41
      Verifying        : readline-8.1-1.ppc                                                                                                                            26/41
      Verifying        : readline-8.0-2.ppc                                                                                                                            27/41
      Verifying        : sqlite-3.35.5-1.ppc                                                                                                                           28/41
      Verifying        : sqlite-3.32.3-1.ppc                                                                                                                           29/41
      Verifying        : wget-1.21.1-1.ppc                                                                                                                             30/41
      Verifying        : wget-1.20.3-1.ppc                                                                                                                             31/41
      Verifying        : gcc8-8.3.0-5.ppc                                                                                                                              32/41
      Verifying        : gcc8-8.3.0-4.ppc                                                                                                                              33/41
      Verifying        : gcc8-cpp-8.3.0-5.ppc                                                                                                                          34/41
      Verifying        : gcc8-cpp-8.3.0-4.ppc                                                                                                                          35/41
      Verifying        : libgcc8-8.3.0-5.ppc                                                                                                                           36/41
      Verifying        : libgcc8-8.3.0-4.ppc                                                                                                                           37/41
      Verifying        : libgomp8-8.3.0-5.ppc                                                                                                                          38/41
      Verifying        : libgomp8-8.3.0-4.ppc                                                                                                                          39/41
      Verifying        : libstdc++8-8.3.0-5.ppc                                                                                                                        40/41
      Verifying        : libstdc++8-8.3.0-4.ppc                                                                                                                        41/41
    Segmentation fault(coredump)



    ------------------------------
    Stan
    ------------------------------



  • 6.  RE: "dnf" for AIX Toolbox

    Posted 5 days ago
    Edited by SANGAMESH MALLAYYA 5 days ago
    Hi Stanley,

    Update seems to have completed but core dump might have happened during the cleanup.
    You can verify if all packages included as part of updated are installed properly.
    It could be possible due to some different version of rpm package installed.
    You have the stack trace ? or you could can send the core file.


    ------------------------------
    SANGAMESH
    ------------------------------



  • 7.  RE: "dnf" for AIX Toolbox

    Posted 5 days ago
    Edited by Joerg Kauke 5 days ago
    In our environment (there are also some P9 systems) the installation / upgrade takes about 35 seconds without the rpm.rte.
    I downloaded the package to our lokal NAS and edited the script to use the NAS instead of the Toolbox Website to download. Its much faster that way...


    ------------------------------
    Joerg Kauke
    Unix Administrator
    COOP Switzerland
    ------------------------------



  • 8.  RE: "dnf" for AIX Toolbox

    Posted 8 days ago
    Hello Sanket,

    thats good news. Thanks a lot.

    regards,
    Joerg


    ------------------------------
    Joerg Kauke
    Unix Administrator
    COOP Switzerland
    ------------------------------



  • 9.  RE: "dnf" for AIX Toolbox

    Posted 7 days ago

    May I ask, what is the different between these packages?

    dnf_bundle.tar

              22-May-2021 05:02  129M  
    [   ] 

    dnf_bundle_v1.tar

           22-May-2021 06:02  129M


    ------------------------------
    Joerg Kauke
    Unix Administrator
    COOP Switzerland
    ------------------------------



  • 10.  RE: "dnf" for AIX Toolbox

    Posted 7 days ago
    They would be same now. dnf_bundle.tar will always be latest version. Currently v1 is the latest hence both are same.

    ------------------------------
    SANKET RATHI
    ------------------------------



  • 11.  RE: "dnf" for AIX Toolbox

    Posted 7 days ago
    Will dnf roll out as part of the usual yum update process on existing systems or will we need to install from the bundle?

    Thanks,
    Phill.

    ------------------------------
    Phill Rowbottom
    ------------------------------



  • 12.  RE: "dnf" for AIX Toolbox

    Posted 7 days ago
    Right now dnf is only provided as bundle because otherwise yum4 (dnf based) will overwrite existing yum.
    In future we will provide dnf and yum4 as part of yum update. In that case 'yum update yum' will install dnf and yum4. 
    It will be good if users can start using yum4/dnf before that and provide any feedback.

    ------------------------------
    SANKET RATHI
    ------------------------------



  • 13.  RE: "dnf" for AIX Toolbox

    Posted 7 days ago
    How is it that I can reply to this discussion, but I cannot create a new one, being told that I am a non-member?

    ------------------------------
    Bruce
    ------------------------------



  • 14.  RE: "dnf" for AIX Toolbox

    Posted 7 days ago
    Hi Bruce,
    You should be able to create a new discussion.
    Did you join the AIX open source group ?

    ------------------------------
    SANKET RATHI
    ------------------------------



  • 15.  RE: "dnf" for AIX Toolbox

    Posted 6 days ago
    Hi Sanket,

    Thanks, that makes sense for it to be tested out a bit before a more widespread rollout.

    Phill.

    ------------------------------
    Phill Rowbottom
    ------------------------------



  • 16.  RE: "dnf" for AIX Toolbox

    Posted 3 days ago
    Installing DNF on a fresh AIX without anything:

    Installing the packages...
    error: Failed dependencies:
    curl >= 7.65.1 is needed by zchunk-1.1.4-1.ppc



    ------------------------------
    Andrey Klyachkin

    https://www.power-devops.com
    ------------------------------



  • 17.  RE: "dnf" for AIX Toolbox

    Posted 3 days ago
    Hi Andrey,

    Actually zchunk itself isn't required for dnf, it's just zchunk-libs.
    You can skip the packages which are listed under the files extra_list within dnf_bundle for fresh installation.

    ------------------------------
    SANGAMESH
    ------------------------------



  • 18.  RE: "dnf" for AIX Toolbox

    Posted 3 days ago
    Hi Sangamesh,

    thank you for the answer! It works without extra_list packages.

    Regards
    Andrey

    ------------------------------
    Andrey Klyachkin

    https://www.power-devops.com
    ------------------------------